diff --git a/src/medit/Makefile.am b/src/medit/Makefile.am
index a9fbda32..e389720b 100644
--- a/src/medit/Makefile.am
+++ b/src/medit/Makefile.am
@@ -25,7 +25,7 @@ compil.date: $(ffmedit_SOURCES)
 
 ffmedit_DEPENDENCIES=picking.$(OBJEXT)
 picking.$(OBJEXT):picking.c
-	${CC} -c $< $(CNOFLAGS) -o $@ 
+	${CC} -c $(CFLAGS) $< $(CNOFLAGS) -o $@ 
 
 #pinking.no-optffmedit$(EXEEXT):picking.c
 #	rm picking.$(OBJEXT)
